FROM archlinux:base-devel

RUN pacman -Syu --noconfirm
RUN pacman -S --noconfirm git python python-pip re2c lmdb xxhash

ENV PREFIX /opt/lakesuperior/lsup_rdf
WORKDIR $PREFIX
RUN git clone --recurse-submodules https://git.knowledgetx.com/scossu/lsup_rdf.git src

WORKDIR src
RUN make install
RUN make py

